• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

Photoshop update

New Here ,
May 24, 2023 May 24, 2023

Copy link to clipboard

Copied

I have macOS Big SUR 11.7.7 is the latest version of the system. Photoshop requires macOS 12 for new features, how to solve it?

TOPICS
macOS

Views

191

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Community Expert , May 24, 2023 May 24, 2023

You have to update your system to MacOS 12. 

If you can't update because it isn't available for your system I see no chance to use the recent version of Photoshop without change the hardware. 

 

Votes

Translate

Translate
Community Expert ,
May 24, 2023 May 24, 2023

Copy link to clipboard

Copied

You have to update your system to MacOS 12. 

If you can't update because it isn't available for your system I see no chance to use the recent version of Photoshop without change the hardware. 

 

My System: Intel i7-8700K - 64GB RAM - NVidia Geforce GTX 1050 Ti - Windows 10 Pro 22H2 -- LR-Classic 12.3 - Photoshop 24.5 - Nik Collection 6 - Topaz Sharpener AI

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
May 24, 2023 May 24, 2023

Copy link to clipboard

Copied

LATEST

Adobe hasn't posted that in the Photoshop System Requirements page:

https://helpx.adobe.com/photoshop/system-requirements.html

 

If it turns out you need a newer macOS, you can upgrade to

either macOS Monterey 12.x.x or macOS Ventura 13.x.x, if your system is able that is.

 

macOS Monterey compatible Macs

https://support.apple.com/en-us/HT212551

 

macOS Ventura compatible Macs

https://support.apple.com/en-us/HT213264

 

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines